1. Groups
RASL
  • Introduction
  • Authentication
  • Changelog
  • Messages
    • Overview
    • Send Text Message
      POST
    • Send Media Message
      POST
    • Send Template Message
      POST
    • Send Interactive Message
      POST
    • List Messages
      GET
    • Get Message
      GET
  • Auth (OTP/Verification)
    • Overview
    • Send OTP
      POST
    • Verify OTP
      POST
    • Resend OTP
      POST
    • Check OTP Status
      POST
    • List Authentication Templates
      GET
  • Templates
    • Overview
    • List Templates
      GET
    • Get Template
      GET
    • Sync Templates
      POST
  • Contacts
    • Overview
    • List Contacts
    • Create Contact
    • Get Contact
    • Update Contact
    • Delete Contact
    • Batch Create Contacts
    • Batch Delete Contacts
  • Groups
    • Overview
    • List Groups
      GET
    • Create Group
      POST
    • Get Group
      GET
    • Update Group
      PATCH
    • Delete Group
      DELETE
    • Add Contacts to Group
      POST
    • Remove Contacts from Group
      DELETE
  • Account
    • Overview
    • Get Account Info
    • Get Usage Statistics
    • Get Plan Limits
  • Integrations
    • Webhook Format Reference
    • N8N Webhook Integration
    • eCommerce Webhook Integration
      • Webhook Listener
      • WooCommerce Webhook Setup
Dashboard
Support
Support
  • Email
  • WhatsApp
Dashboard
Support
Support
  • Email
  • WhatsApp
Instagram
  1. Groups

List Groups

GET
https://getrasl.io/api/v2/groups

Retrieve a paginated list of groups with filtering, sorting, and searching#

Required Scope#

groups:read

Response#

Success (200 OK): Returns a paginated array of group objects

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://getrasl.io/api/v2/groups?page&per_page&sort&search&q' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Body

Example
{
    "success": true,
    "data": {},
    "meta": {
        "request_id": "string",
        "timestamp": "string"
    }
}
🟠401UNAUTHORIZED
🟠403INSUFFICIENT_SCOPE
🟠403FEATURE_LIMIT_EXCEEDED
🟠404NOT_FOUND
🟠422VALIDATION_ERROR
🟠422WHATSAPP_NOT_CONFIGURED
🟠429RATE_LIMIT_EXCEEDED
🔴500INTERNAL_ERROR
Previous
Overview
Next
Create Group
Built with